<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>LineSpacingRule (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LineSpacingRule (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LineSpacingRule.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
               title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/ParagraphAlignment.html"
               title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
               target="_top">Frames</a></li>
        <li><a href="LineSpacingRule.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Enum LineSpacingRule" class="title">Enum LineSpacingRule</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                         title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.LineSpacingRule</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                            title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">LineSpacingRule</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                             title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a>&gt;</pre>
                <div class="block">Specifies the logic which shall be used to calculate the line spacing of the
                    parent object when it is displayed in the document.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Gisella Bronzetti</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html#AT_LEAST">AT_LEAST</a></span></code>
                                    <div class="block">Specifies that the height of the line shall be at least the value
                                        specified, but may be expanded to fit its content as needed.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html#AUTO">AUTO</a></span></code>
                                    <div class="block">Specifies that the line spacing of the parent object shall be
                                        automatically determined by the size of its contents, with no
                                        predetermined minimum or maximum size.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html#EXACT">EXACT</a></span></code>
                                    <div class="block">Specifies that the height of the line shall be exactly the value
                                        specified, regardless of the size of the contents If the contents are too
                                        large for the specified height, then they shall be clipped as necessary.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html#getValue--">getValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html#valueOf-int-">valueOf</a></span>(int&nbsp;type)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="AUTO">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>AUTO</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a> AUTO</pre>
                                <div class="block">Specifies that the line spacing of the parent object shall be
                                    automatically determined by the size of its contents, with no
                                    predetermined minimum or maximum size.
                                </div>
                            </li>
                        </ul>
                        <a name="EXACT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EXACT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a> EXACT</pre>
                                <div class="block">Specifies that the height of the line shall be exactly the value
                                    specified, regardless of the size of the contents If the contents are too
                                    large for the specified height, then they shall be clipped as necessary.
                                </div>
                            </li>
                        </ul>
                        <a name="AT_LEAST">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>AT_LEAST</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a> AT_LEAST</pre>
                                <div class="block">Specifies that the height of the line shall be at least the value
                                    specified, but may be expanded to fit its content as needed.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (LineSpacingRule c : LineSpacingRule.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">LineSpacingRule</a>&nbsp;valueOf(int&nbsp;type)</pre>
                            </li>
                        </ul>
                        <a name="getValue--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public&nbsp;int&nbsp;getValue()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LineSpacingRule.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/ISDTContents.html"
               title="interface in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/ParagraphAlignment.html"
               title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/LineSpacingRule.html"
               target="_top">Frames</a></li>
        <li><a href="LineSpacingRule.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
